Classes | Functions
MacDrawProParserInternal Namespace Reference

Internal: the structures of a MacDrawProParser. More...

## Classes
struct | Layer
struct | Library
struct | Shape
struct | State
| Internal: the state of a MacDrawProParser. More...
class | SubDocument
| Internal: the subdocument of a MacDrawProParser. More...

## Functions
std::ostream & | operator<< (std::ostream &o, Shape const &shape)

## Detailed Description

Internal: the structures of a MacDrawProParser.

## Function Documentation

## ◆ operator<<()

std::ostream& MacDrawProParserInternal::operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |

Referenced by MacDrawProParserInternal::Shape::Shape().